Bug 1330034 - [abrt] calibre: QObject::disconnect(): python2.7 killed by SIGSEGV
Summary: [abrt] calibre: QObject::disconnect(): python2.7 killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:76e3289c3b30541a3f9cc51b123...
Keywords:
: 1331535 1337138 1339671 1342888 1378433 1387082 1391133 1458511 1462501 1470396 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 10:22 UTC by info@kobaltwit.be
Modified: 2017-12-12 13:09 UTC (History)
60 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:48:23 UTC


Attachments (Terms of Use)
File: cgroup (148 bytes, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: core_backtrace (11.88 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: dso_list (30.10 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: environ (2.76 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: exploitable (96 bytes, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: maps (141.50 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: mountinfo (5.28 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: open_fds (1014 bytes, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details
File: backtrace (65.57 KB, application/octet-stream)
2016-04-25 10:22 UTC, info@kobaltwit.be
no flags Details

Description info@kobaltwit.be 2016-04-25 10:22:05 UTC
Description of problem:
- open calibre
- look at preferences (currently there are no e-books in my library as I just moved them manually via Dolphin)
- quit calibre
=> crash

Version-Release number of selected component:
calibre-2.53.0-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre --detach
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     9260
kernel:         4.4.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1325500

Comment 1 info@kobaltwit.be 2016-04-25 10:22:12 UTC
Created attachment 1150384 [details]
File: cgroup

Comment 2 info@kobaltwit.be 2016-04-25 10:22:14 UTC
Created attachment 1150385 [details]
File: core_backtrace

Comment 3 info@kobaltwit.be 2016-04-25 10:22:16 UTC
Created attachment 1150386 [details]
File: dso_list

Comment 4 info@kobaltwit.be 2016-04-25 10:22:17 UTC
Created attachment 1150387 [details]
File: environ

Comment 5 info@kobaltwit.be 2016-04-25 10:22:18 UTC
Created attachment 1150388 [details]
File: exploitable

Comment 6 info@kobaltwit.be 2016-04-25 10:22:20 UTC
Created attachment 1150389 [details]
File: limits

Comment 7 info@kobaltwit.be 2016-04-25 10:22:22 UTC
Created attachment 1150390 [details]
File: maps

Comment 8 info@kobaltwit.be 2016-04-25 10:22:24 UTC
Created attachment 1150391 [details]
File: mountinfo

Comment 9 info@kobaltwit.be 2016-04-25 10:22:25 UTC
Created attachment 1150392 [details]
File: namespaces

Comment 10 info@kobaltwit.be 2016-04-25 10:22:26 UTC
Created attachment 1150393 [details]
File: open_fds

Comment 11 info@kobaltwit.be 2016-04-25 10:22:28 UTC
Created attachment 1150394 [details]
File: proc_pid_status

Comment 12 info@kobaltwit.be 2016-04-25 10:22:29 UTC
Created attachment 1150395 [details]
File: var_log_messages

Comment 13 info@kobaltwit.be 2016-04-25 10:22:31 UTC
Created attachment 1150396 [details]
File: backtrace

Comment 14 Kevin Fenzi 2016-04-25 17:26:46 UTC
Does this happen every time you quit?

Comment 15 info@kobaltwit.be 2016-04-25 17:47:53 UTC
It seems so.

I just tried this:
- start calibre
- press the X button on the title bar of the window
=> crash

Comment 16 Brandon J. Wyman 2016-04-28 18:01:01 UTC
*** Bug 1331535 has been marked as a duplicate of this bug. ***

Comment 17 Kevin Faulkner 2016-05-03 20:55:34 UTC
Similar problem has been detected:

I closed Calibre, I had opened an epub that I generated with a Google Chrome (google-chrome-stable) plugin called "dotepub".

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        python2 /usr/bin/ebook-viewer --detach '/home/kondor6c/Downloads/Giant Fresnel Lens Deathray An Experiment in Optics (2016.05.03-20.47.37Z).epub'
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     25926
kernel:         4.4.8-300.fc23.x86_64
package:        calibre-2.53.0-1.fc23
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 myfedora 2016-05-18 11:46:46 UTC
*** Bug 1337138 has been marked as a duplicate of this bug. ***

Comment 19 Shaun Assam 2016-05-25 14:45:30 UTC
*** Bug 1339671 has been marked as a duplicate of this bug. ***

Comment 20 Paulim_hed 2016-06-06 04:05:21 UTC
*** Bug 1342888 has been marked as a duplicate of this bug. ***

Comment 21 Kamil Páral 2016-06-08 21:53:54 UTC
Similar problem has been detected:

Displaying epub files with e-book viewer.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        python2 /usr/bin/ebook-viewer --detach '/home/kparal/Dokumenty/knihy/1. k p\xc5\x99e\xc4\x8dten\xc3\xad/Humble eBook Bundle II/ShardsofHonorVorkosiganSaga_Bujold_1372449942.epub'
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     11801
kernel:         4.5.5-201.fc23.x86_64
package:        calibre-2.53.0-1.fc23
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Oliver Sampson 2016-08-17 16:59:46 UTC
Similar problem has been detected:

While closeing Calibre

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre --detach
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     23932
kernel:         4.6.5-200.fc23.x86_64
package:        calibre-2.60.0-2.fc23
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Kevin Fenzi 2016-09-25 00:21:10 UTC
*** Bug 1378433 has been marked as a duplicate of this bug. ***

Comment 24 Kevin Fenzi 2016-10-20 14:32:33 UTC
*** Bug 1387082 has been marked as a duplicate of this bug. ***

Comment 25 Filipe Rosset 2016-11-03 15:12:10 UTC
still happening with calibre-2.69.0-1.fc25.x86_64

Comment 26 Fedora End Of Life 2016-11-25 07:28:01 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 info@kobaltwit.be 2016-11-26 20:54:24 UTC
As Filipe already commented, this still happens with calibre on fedora 25, so I'm bumping the version number.

Comment 28 Hin-Tak Leung 2016-12-05 19:33:19 UTC
Oh, is this the same as https://bugzilla.redhat.com/show_bug.cgi?id=1401638 ?
My segfault happens with QDBusConnection in libQt5Core.so.5.7.0 .

Comment 29 Hin-Tak Leung 2016-12-07 02:13:54 UTC
# gdb /usr/bin/python2 /var/spool/abrt/ccpp-2016-12-05-18:42:18-13076/coredump
...

(gdb) bt
#0  0x00007f151602587d in QObject::disconnect(QObject const*, char const*, QObject const*, char const*) () at /lib64/libQt5Core.so.5
#1  0x00007f1510f29fd0 in QDBusConnectionPrivate::closeConnection() () at /lib64/libQt5DBus.so.5
#2  0x00007f1510f168c2 in QDBusConnectionManager::run() () at /lib64/libQt5DBus.so.5
#3  0x00007f1515e5ba1a in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#4  0x00007f1529df26ca in start_thread (arg=0x7f14f6782700) at pthread_create.c:333
#5  0x00007f152941cf6f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:105
(gdb) q

# abrt-cli list
id 98f21c7b042b83e133b4fb3ef75e72e1a81999d1
reason:         python2.7 killed by SIGSEGV
time:           Mon 05 Dec 2016 18:42:18 GMT
cmdline:        python2 /usr/bin/ebook-viewer '<edited>.epub'
package:        calibre-2.69.0-1.fc25
uid:            1000 (Hin-Tak)
count:          2
Directory:      /var/spool/abrt/ccpp-2016-12-05-18:42:18-13076

Comment 30 Hin-Tak Leung 2016-12-07 07:13:43 UTC
Does it help to know the line number?

#0  0x00007f96ef55087d in QObject::disconnect (sender=0x7f966800b5d0, signal=signal@entry=0x0, receiver=receiver@entry=0x7f96bc00b6f0, 
    method=method@entry=0x0) at kernel/qobject.cpp:2956
2956	    const QMetaObject *smeta = sender->metaObject();

(gdb) print smeta
$1 = (const QMetaObject *) 0x7f96ea4b5a00 <QDBusServiceWatcher::staticMetaObject>
(gdb) print *smeta
$2 = {d = {superdata = 0x7f96ef758ec0 <QObject::staticMetaObject>, stringdata = 0x7f96ea4a2140 <qt_meta_stringdata_QDBusServiceWatcher>, 
    data = 0x7f96ea4a2040 <qt_meta_data_QDBusServiceWatcher>, 
    static_metacall = 0x7f96ea49b3c0 <QDBusServiceWatcher::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, 
    relatedMetaObjects = 0x0, extradata = 0x0}}
(gdb) print sender
$3 = (const QObject *) 0x7f966800b5d0
(gdb) print *sender
$4 = {_vptr.QObject = 0x7f96c86dfaa0, static staticMetaObject = {d = {superdata = 0x0, 
      stringdata = 0x7f96ef684c80 <qt_meta_stringdata_QObject>, data = 0x7f96ef684b60 <qt_meta_data_QObject>, 
      static_metacall = 0x7f96ef554ed0 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, 
      extradata = 0x0}}, d_ptr = {d = 0x7f966800ff20}, static staticQtMetaObject = {d = {superdata = 0x0, 
      stringdata = 0x7f96ef6cca20 <qt_meta_stringdata_Qt>, data = 0x7f96ef6c9f60 <qt_meta_data_Qt>, static_metacall = 0x0, 
      relatedMetaObjects = 0x0, extradata = 0x0}}}
(gdb)

Comment 31 Filipe Rosset 2016-12-08 20:15:02 UTC
still reproducible with calibre-2.71.0-1.fc25.x86_64

Comment 32 Alvin 2016-12-21 12:18:08 UTC
Similar problem has been detected:

Starting Calibre by opening an .epub file.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre-parallel
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     15668
kernel:         4.8.14-300.fc25.x86_64
package:        calibre-2.74.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 33 Jiri Eischmann 2017-01-24 14:31:12 UTC
*** Bug 1391133 has been marked as a duplicate of this bug. ***

Comment 34 Peter Trenholme 2017-02-21 19:19:08 UTC
Similar problem has been detected:

Clicked on "red x" to exit calibre

reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     22002
kernel:         4.10.0-0.rc7.git1.1.fc26.x86_64
package:        calibre-2.79.1-1.fc26
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 35 Alvin 2017-04-03 19:01:48 UTC
Crash when closing epubs, openend with Calibre's built-in ebook viewer.

Comment 36 Kevin Fenzi 2017-06-03 17:27:53 UTC
*** Bug 1458511 has been marked as a duplicate of this bug. ***

Comment 37 Kevin Fenzi 2017-06-18 17:53:55 UTC
*** Bug 1462501 has been marked as a duplicate of this bug. ***

Comment 38 Ed Marshall 2017-06-18 18:17:38 UTC
Similar problem has been detected:

Exited calibre via CTRL-Q. FWIW, it was doing this with the previous version (2.x) as well.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
journald_cursor: s=2ff631a66afd403d8e8fe0a534e20e41;i=2f67e;b=0fa984adedcd4d498d18412c0e0048e2;m=5f5fd027;t=5523fda40e4a1;x=4aa9e905f04b422f
kernel:         4.11.5-300.fc26.x86_64
package:        calibre-3.0.0-1.fc26
reason:         python2.7 killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 39 Kevin Fenzi 2017-06-18 19:11:15 UTC
Note that this seems to be fixed in calibre 3.0.0... but I am not ready to push that out to f25. (There is a f26 updates-testing version though).

Comment 40 Ed Marshall 2017-06-18 20:18:35 UTC
FWIW, please see the version number on my report above :)

Comment 41 Kevin Fenzi 2017-06-18 20:42:39 UTC
Odd. it no longer does this here... will try and track it down.

Comment 42 Hin-Tak Leung 2017-06-19 00:08:50 UTC
Have one today.

calibre-2.78.0-1.fc25.x86_64
qt5-qtbase-5.7.1-16.fc25.x86_64

Comment 43 David Demelier 2017-06-19 07:14:14 UTC
Have the same on fedora 26.

Comment 44 Hin-Tak Leung 2017-07-02 23:28:15 UTC
(In reply to Kevin Fenzi from comment #39)
> Note that this seems to be fixed in calibre 3.0.0... but I am not ready to
> push that out to f25. (There is a f26 updates-testing version though).

No, it is not fixed in 3.0.0. Had a crash with

calibre-3.0.0-2.fc26.x86_64
qt5-qtbase-5.7.1-16.fc25.x86_64

although I see calibre-3.1.1-1.fc26.x86_64 is out. (hmm, strange that I am still on qt5-base.fc25...)

Comment 45 Hin-Tak Leung 2017-07-03 21:32:46 UTC
Have a crash with calibre-3.1.1-1.fc26 also.

Comment 46 Kevin Fenzi 2017-07-13 04:38:36 UTC
*** Bug 1470396 has been marked as a duplicate of this bug. ***

Comment 47 František Zatloukal 2017-07-23 12:13:15 UTC
Similar problem has been detected:

Crashed after closing the app, nothing serious.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre --detach
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
journald_cursor: s=1d96ac80dc0a40a080e73eea1fb4b46e;i=167ffe;b=946a07b946a3410a9c8479cb40f5dbab;m=389cd1b35a;t=554fad46aee2d;x=c6cca64ce1f13cdf
kernel:         4.11.10-300.fc26.x86_64
package:        calibre-3.1.1-1.fc26
reason:         python2.7 killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 48 Fedora End Of Life 2017-11-16 14:12:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 49 Fedora End Of Life 2017-12-12 10:48:23 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.